//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDelConfirmPane:
//   Generates a delete confirmation consisting of a button
//   which activates the delete.


#ifndef p4wDelConfirmPane_H
#define p4wDelConfirmPane_H

#include "p4wSpecPane.h"

class p4wDelConfirmPane : public p4wSpecPane {

public:

	p4wDelConfirmPane( p4wView & ParentView, p4wRequest & Request );
		
	virtual		~p4wDelConfirmPane();
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field, 
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };
		
	//
	// Generates page with a big confirm button
	
	void		RenderConfirm();
	
private:

	int		URLIsOK();
	void		DoSubmit();
		
};

#endif // p4wDelConfirmPane_H
